Bug 65663 - Sendmail Masquerading section needs updating
Sendmail Masquerading section needs updating
Product: Red Hat Linux
Classification: Retired
Component: rhl-rg (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johnray Fuller
Depends On:
  Show dependency treegraph
Reported: 2002-05-29 14:36 EDT by Aaron
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-29 18:06:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aaron 2002-05-29 14:36:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
The section of the manual relating to masquerading is *very* out of date.  The 
example listing for the local-host-names shows an example file that doesn't 
match the one that ships with 7.3, and has /etc/mail/sendmail.cW as the file 
name in the comments.  Confusing.  Also the section immediately asks you to 
edit /etc/sendmail.cf directly to set up masquerading instead of 
using /etc/mail/sendmail.mc and adding/uncommenting the proper macros.  If I 
did it this way and then when I follow the directions for setting up LDAP I 
would blow away my changes.   All of this is on page 213 of the reference guide.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Follow the manual instructions for masquerading on page 213.
2. Follow steps for LDAP integration or anything that 
changes /etc/mail/sendmail.mc.

Actual Results:  Changes to masquerading are gone.

Expected Results:  Changes to masquerading should remain.

Additional info:

Should maybe use MASQUERADE_AS(`domain.name') and define(MAIL_HUB, 
`esmtp:server') and other macros to accomplish this in a more reliable and 
permanent manner?
Comment 1 Johnray Fuller 2002-05-29 18:06:13 EDT
I see what you mean.

I will review the passages in question and post to this bug when I have
formulated the best course of action.

Thanks you for bringing this to my attention!

Comment 2 Johnray Fuller 2002-10-09 18:12:17 EDT
I have updated the information to use the macros for 8.1.

Thank you so much for catching this. For the next release this chapter is due to
be completely overhauled. It badly needs it.

Thanks again,

Note You need to log in before you can comment on or make changes to this bug.